In Wikidata Query GUI, make the placeholder update the language dynamically
Closed, ResolvedPublic

Description

This task is about the Wikidata Query GUI (General user interface).

In the Input box, the placeholder is not dynamically updating until we refreshing the page.

Steps to Reproduce:

  1. Currently Let's Assume the Language be English.
  2. Now Change the Language to Spanish or Francais, All the buttons were changed to Spanish/Francais, Except the placeholder.
  3. Now Refresh the page then you can see that the placeholder is changing its language.

Expected:
By changing the language the placeholder should change dynamically.

After Changing the language from English to Francais

After Refreshing the page

To clone and Install the wikidata-query-gui follow https://github.com/wikimedia/wikidata-query-gui#readme

You are expected to provide a patch in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit. The code repository is wikidata/query/gui.

GCI Mentors: @Gopavasanth

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 4:48 PM
Aklapper updated the task description. (Show Details)Oct 16 2018, 8:25 PM
Aklapper added a project: Google-Code-in-2018.
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2018 board.
Aklapper renamed this task from Placeholder doesn't update language dynamically to In Wikidata Query GUI, make the placeholder update the language dynamically.Oct 16 2018, 8:27 PM
Aklapper updated the task description. (Show Details)

@Gopavasanth: Which programming language(s) does this task require? Can you please add that as tag(s) to the GCI task on the GCI site? Thanks!

This probably requires Javascript and maybe some basic CSS knowledge.

Change 471668 had a related patch set uploaded (by Shreyasminocha; owner: Shreyasminocha):
[wikidata/query/gui@master] Make placeholder update language dynamically

https://gerrit.wikimedia.org/r/471668

Change 471668 merged by jenkins-bot:
[wikidata/query/gui@master] Make placholder update on language change

https://gerrit.wikimedia.org/r/471668

Change 472141 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[wikidata/query/gui@master] Refactor editor placeholder translation setup

https://gerrit.wikimedia.org/r/472141

Change 472141 merged by jenkins-bot:
[wikidata/query/gui@master] Refactor editor placeholder translation setup

https://gerrit.wikimedia.org/r/472141

Change 475254 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from b1b825c40771891b8cb47dc6a3ca838d182efa70:

https://gerrit.wikimedia.org/r/475254

Change 475254 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from b1b825c40771891b8cb47dc6a3ca838d182efa70:

https://gerrit.wikimedia.org/r/475254

Shreyasminocha closed this task as Resolved.Dec 12 2018, 6:05 PM

Was fixed during GCI.